appflowy_board 0.1.2 copy "appflowy_board: ^0.1.2" to clipboard
appflowy_board: ^0.1.2 copied to clipboard

AppFlowyBoard is a board-style widget that consists of multi-groups. It supports drag and drop between different groups.

0.1.2 #

  • chore: upgrade dependencies by @Xazin in #34
  • chore: clean up code & add lints by @Xazin in #33
  • chore: add 'required_trailing_commas' to analysis_options.yaml by @richardshiue in #31
  • chore: bring package up to date by @richardshiue in #30
  • fix: exception when running on the web by @dsyrstad in #25
  • feat: improve scroll threshold and expandDistance by @hyj1204 in #23
  • feat: expand scrolling view horizontally while moving card by @hyj1204 in #23
  • feat: mobile improvement by @hyj1204 in #21
  • feat: allow inserting a new group at given index by @richardshiue in #19
  • chore: fix images from readme by @Xazin in 18

0.1.1 #

  • fix: use maybeOf and enable macos by @Xazin in (#16)
  • chore: fix macos example build by @richardshiue in (#12)
  • feat: support leading and trailing widgets in board content by @Xazin in (#14)
  • feat: add thumb visibility per 1027 by @a-wallen in (#8)
  • feat: add horizontal scrollbar to board by @a-wallen in (#8)

0.1.0 #

  • Update license

0.0.9 #

  • Enable slide to select text in card
  • Fix some bugs

0.0.8 #

  • Enable drag and drop group

0.0.7 #

  • Rename some classes
  • Add documentation

0.0.6 #

  • Support scroll to bottom
  • Fix some bugs

0.0.5 #

  • Optimize insert card animation
  • Enable insert card at the end of the group
  • Fix some bugs

0.0.4 #

  • Fix some bugs

0.0.3 #

  • Support customize UI
  • Update example
  • Add AppFlowy style widget

0.0.2 #

  • Update documentation

0.0.1 #

  • Support drag and drop group items from one to another
163
likes
160
pub points
91%
popularity

Publisher

verified publisherappflowy.io

AppFlowyBoard is a board-style widget that consists of multi-groups. It supports drag and drop between different groups.

Repository (GitHub)
View/report issues

Documentation

API reference

License

MPL-2.0, AGPL-3.0 (LICENSE)

Dependencies

equatable, flutter, provider

More

Packages that depend on appflowy_board